Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.il.oil2
Class OIL2Response

    java.lang.Object
      org.jboss.mq.il.oil2.OIL2Response

public class OIL2Response
extends Object

Version:
  $Revision: 1.2 $
Author:
  Hiram Chirino

Constructor Summary
`OIL2Response()`
`OIL2Response(OIL2Request request)`

Method Summary
`Object` | `evalThrowsException()`
`Object` | `evalThrowsJMSException()`
`Object` | `evalThrowsThrowable()`
`void` | `readExternal(ObjectInput in)`
`String` | `toString()`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OIL2Response

    public OIL2Response()

### OIL2Response

    public OIL2Response(OIL2Request request)

Method Detail

### evalThrowsJMSException

    public Object evalThrowsJMSException()
                                  throws javax.jms.JMSException,
                                         IOException

  Throws:
    `javax.jms.JMSException`
    `IOException`

### evalThrowsException

    public Object evalThrowsException()
                               throws Exception

  Throws:
    `Exception`

### evalThrowsThrowable

    public Object evalThrowsThrowable()
                               throws Throwable

  Throws:
    `Throwable`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.